dpt-missing-upload(1)

NAME
dpt-missing-upload - incorporate package uploads not done from Git

SYNOPSIS
dpt missing-upload [-i] BASETAG NEWVERSION

DESCRIPTION
dpt missing-upload incorporates uploads of a package which are not yet in the Git repo, e.g. NMUs.

To be run in the root directory of the source package's Git repo, and with the target branch checked out.

OPTIONS
Options must come before parameters.

-i  Run interactively, e.g. call "git merge" with --no-commit, so the commit can be amended. Useful if the imported upload adds/removes files.

    Interactive mode is also enabled if a .gitignore file is found.

PARAMETERS

BASETAG
    The Git tag representing the package version before the one to be imported. Required.

NEWVERSION
    The package version to be downloaded and imported. Required.

NOTES

•   To make merging Debian tags as painless as possible, dpkg-mergechangelogs(1) is helpful.

•   For downloading the source package, "deb-src" entries are required in the sources.list.

COPYRIGHT & LICENSE
Copyright: 2020-2024, gregor herrmann <gregoa@debian.org>

License: Artistic | GPL-1+